000031624 - How to fix duplicate rpm issue during SA upgrade process

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000031624
Applies ToRSA Product Set: Security Analytics
RSA Product/Service Type: Security Analytics Servers
RSA Version/Condition: 10.4.x, 10.5.x
Platform: CentOS
O/S Version: EL6
IssueWhen there is rpm duplicates error like below while doing upgrade, it is either ctrl-C was hit while upgrading or there is connection problem(system crashed or reboot) therefore leaving the upgrade incomplete.
New packages might be installed, but old packages are not removed.
yum-utils-1.1.30-30.el6.noarch is a duplicate with yum-utils-1.1.30-17.el6_5.noarch
nspr-4.9.5-2.el6_4.x86_64 is a duplicate with nspr-4.9.2-1.el6.x86_64
nss-3.14.3-4.el6_4.x86_64 is a duplicate with nss-3.14.0.0-12.el6.x86_64
Resolution
Solution 1:
yum-complete-transaction --cleanup-only
yum clean all
yum update
OR
Solution 2:
package-cleanup --cleandupes
yum clean all
yum update

Attachments

    Outcomes